## pagodacf 0.5

=== Makefile ===
# FILE     Makefile
#
# Copyright (c) 2003-2004, James H. Woodyatt
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#   Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
#
#   Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in
#   the documentation and/or other materials provided with the
#   distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE. 

DEBUG_OPT = -g -passopt -principal
REQUIRE = unix
PREDICATES =

###############################################################################

.PHONY: default opt test test.opt clean install uninstall depend doc

default::

#OCAMLFINDOPT = -pp camlp4o -package "$(REQUIRE)" -predicates "$(PREDICATES)"
#OCAMLDEP = ocamldep -pp camlp4o

OCAMLFINDOPT = -package "$(REQUIRE)" -predicates "$(PREDICATES)"

OCAMLC       = ocamlfind ocamlc $(OCAMLFINDOPT)
OCAMLOPT     = ocamlfind ocamlopt $(OCAMLFINDOPT)
OCAMLMKLIB   = ocamlmklib
OCAMLMKTOP   = ocamlfind ocamlmktop $(OCAMLFINDOPT)
OCAMLDEP     = ocamldep
OCAMLLEX     = ocamllex
OCAMLYACC    = ocamlyacc

CC_OPT       = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
CMI_OPT      = $(DEBUG_OPT)
CMO_OPT      = $(DEBUG_OPT)
CMX_OPT      = -unsafe -noassert -inline 9

.SUFFIXES: .ml .mli .mll .mly .cmo .cmi .cma .cmx .cmxa

%.ml : %.mll
	$(OCAMLLEX) $<

%.ml %.mli : %.mly
	$(OCAMLYACC) -b$* $<

%.cmi : %.mli
	$(OCAMLC) $(CMI_OPT) -o $@ -c $<

%.cmi %.cmo : %.ml
	$(OCAMLC) $(CMO_OPT) -o $@ -c $<

%.cmi %.cmx %.o : %.ml
	$(OCAMLOPT) $(CMX_OPT) -o $@ -c $<

%.o : %.c
	$(OCAMLC) $(CC_OPT) -o $@ -c $<

clean::
	rm -f *.cmi *.cmo *.cma
	rm -f *.cmx *.cmxa *.o *.a dll*.so

###############################################################################

default:: cf.cma

opt:: cf.cmxa

CF_LEXYACC_MODULES =

CF_YACC_MODULES = $(CF_LEXYACC_MODULES:%=cf_yacc_%)
CF_LEX_MODULES = $(CF_LEXYACC_MODULES:%=cf_lex_%)

clean::
	rm -rf $(CF_LEX_ML_FILES)
	rm -rf $(CF_YACC_ML_FILES)
	rm -rf $(CF_YACC_MLI_FILES)

cf_lex_%.cmo : cf_yacc_%.cmi cf_lex_%.cmi
cf_lex_%.cmx : cf_yacc_%.cmi cf_lex_%.cmi

#manual dependencies

#cf_yacc_foo.cmi: cf_foo_bar.cmi
#cf_lex_foo.cmi: cf_foo_bar.cmi

CF_LEX_ML_FILES = $(CF_LEX_MODULES:%=%.ml)
CF_YACC_ML_FILES = $(CF_YACC_MODULES:%=%.ml)
CF_YACC_MLI_FILES = $(CF_YACC_MODULES:%=%.mli)

CF_ADDR_MODULES = ip4 ip6
CF_PROTO_MODULES = ip4 ip6

CF_MODULES = \
    ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
	unicode parser message dfa lexer scan_parser socket netif nameinfo \
    sock_common sock_dgram sock_stream ip_common $(CF_ADDR_MODULES:%=%_addr) \
	$(CF_PROTO_MODULES:%=%_proto) tcp4_socket tcp6_socket udp4_socket \
	udp6_socket poll uri

CF_PRIMITIVES = \
    common tai64 tai64n socket netif nameinfo sock_dgram sock_stream \
	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto)

CF_ML_FILES = $(CF_MODULES:%=cf_%.ml)
CF_MLI_FILES = $(CF_MODULES:%=cf_%.mli)
CF_CMI_FILES = $(CF_MODULES:%=cf_%.cmi)
CF_CMO_FILES = $(CF_MODULES:%=cf_%.cmo)
CF_CMX_FILES = $(CF_MODULES:%=cf_%.cmx)
CF_O_FILES = $(CF_MODULES:%=cf_%.o)

CF_P_C_FILES = $(CF_PRIMITIVES:%=cf_%_p.c)
CF_P_H_FILES = $(CF_PRIMITIVES:%=cf_%_p.h)
CF_P_O_FILES = $(CF_PRIMITIVES:%=cf_%_p.o)

libcf.a dllcf.so : $(CF_P_O_FILES) # $(CF_CMI_FILES) $(CF_CMO_FILES)
	$(OCAMLMKLIB) -o cf $(CF_P_O_FILES)

cf.cma : libcf.a dllcf.so $(CF_CMI_FILES) $(CF_CMO_FILES)
	$(OCAMLMKLIB) -o cf $(CF_CMO_FILES) -lcf

cf.cmxa cf.a : libcf.a dllcf.so $(CF_CMI_FILES) $(CF_CMX_FILES) $(CF_O_FILES)
	$(OCAMLMKLIB) -o cf $(CF_CMX_FILES) -lcf

install:: libcf.a dllcf.so cf.cma
	{ test ! -f cf.cmxa || extra="cf.cmxa cf.a"; }; \
	ocamlfind install cf \
	  $(CF_MLI_FILES) $(CF_CMI_FILES) $(CF_P_H_FILES) \
          cf.cma libcf.a dllcf.so META $$extra

uninstall::
	ocamlfind remove cf

###############################################################################

TEST_MODULES = cf # setbench deq

TEST_PROGRAMS = $(TEST_MODULES:%=t.%)
TEST_OPT_PROGRAMS = $(TEST_MODULES:%=t-opt.%)

TEST_ML_FILES = $(TEST_MODULES:%=t/t_%.ml)

TEST_LINKOPT = -cclib -L. -linkpkg
TEST_LIBS = cf

default:: $(TEST_PROGRAMS)

opt:: $(TEST_OPT_PROGRAMS)

t.% : t/t_%.ml cf.cma
	$(OCAMLC) -o $@ $(DEBUG_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma) $<

t-opt.% : t/t_%.ml cf.cmxa
	$(OCAMLOPT) -o $@ $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<

test:: $(TEST_PROGRAMS)
	@for i in $(TEST_PROGRAMS); do \
	    echo; \
	    echo $$i; \
	    CAML_LD_LIBRARY_PATH=. ./$$i; \
	done

test.opt:: $(TEST_OPT_PROGRAMS)
	@for i in $(TEST_OPT_PROGRAMS); do \
	    echo; \
	    echo $$i; \
	    CAML_LD_LIBRARY_PATH=. ./$$i; \
	done

clean::
	rm -f t/*.cmi t/*.cmo
	rm -f t/*.cmx t/*.o
	rm -f t.* t-opt.*

###############################################################################

default:: ocamltop

ocamltop: cf.cma
	$(OCAMLMKTOP) $(TEST_LINKOPT) -o $@ cf.cma

clean::
	rm -f ocamltop

###############################################################################

DOC_SOURCES = $(CF_MLI_FILES) $(CF_ML_FILES)

doc::
	@mkdir -p doc
	ocamldoc -v -d doc -html -colorize-code -m A $(DOC_SOURCES)

###############################################################################

DEPEND_FILE=.depend

$(DEPEND_FILE) ::
	$(OCAMLC) -c -ccopt -MM $(CF_P_C_FILES) > .depend
	$(OCAMLDEP) $(CF_MLI_FILES) $(CF_ML_FILES) $(TEST_ML_FILES) >> .depend

depend:: $(DEPEND_FILE)

include $(DEPEND_FILE)

# End of file [ Makefile ]

## pagodacf 0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # FILE     Makefile
 #
-# Copyright (c) 2003-2004, James H. Woodyatt
+# Copyright (c) 2003-2005, James H. Woodyatt
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -114,10 +114,10 @@
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-	unicode parser message dfa lexer scan_parser socket netif nameinfo \
-    sock_common sock_dgram sock_stream ip_common $(CF_ADDR_MODULES:%=%_addr) \
-	$(CF_PROTO_MODULES:%=%_proto) tcp4_socket tcp6_socket udp4_socket \
-	udp6_socket poll uri
+    unicode parser message dfa regex lex lexer scan_parser \
+    socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
+    $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+    tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
 
 CF_PRIMITIVES = \
     common tai64 tai64n socket netif nameinfo sock_dgram sock_stream \

## pagodacf 0.7

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,7 @@
 OCAMLDEP     = ocamldep
 OCAMLLEX     = ocamllex
 OCAMLYACC    = ocamlyacc
+OCAMLDOC     = ocamlfind ocamldoc $(OCAMLFINDOPT)
 
 CC_OPT       = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
 CMI_OPT      = $(DEBUG_OPT)
@@ -114,7 +115,7 @@
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-    unicode parser message dfa regex lex lexer scan_parser \
+    machine unicode parser message dfa regex lex lexer scan_parser \
     socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
     $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
     tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
@@ -209,7 +210,7 @@
 
 doc::
 	@mkdir -p doc
-	ocamldoc -v -d doc -html -colorize-code -m A $(DOC_SOURCES)
+	$(OCAMLDOC) -v -d doc -html -colorize-code -m A $(DOC_SOURCES)
 
 ###############################################################################

## pagodacf 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # FILE     Makefile
 #
-# Copyright (c) 2003-2005, James H. Woodyatt
+# Copyright (c) 2003-2006, James H. Woodyatt
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -28,7 +28,6 @@
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 # OF THE POSSIBILITY OF SUCH DAMAGE. 
 
-DEBUG_OPT = -g -passopt -principal
 REQUIRE = unix
 PREDICATES =
 
@@ -52,10 +51,17 @@
 OCAMLYACC    = ocamlyacc
 OCAMLDOC     = ocamlfind ocamldoc $(OCAMLFINDOPT)
 
-CC_OPT       = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
-CMI_OPT      = $(DEBUG_OPT)
-CMO_OPT      = $(DEBUG_OPT)
-CMX_OPT      = -unsafe -noassert -inline 9
+DEBUG_OPT    = -g
+WARN_ERROR   = -passopt -w -passopt Ae # -warn-error A
+PRINCIPLE    = -principal
+UNSAFE       = -unsafe -noassert
+
+ALL_OCAML_OPT = $(WARN_ERROR) $(PRINCIPLE)
+
+CC_OPT  = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
+CMI_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
+CMO_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
+CMX_OPT = $(ALL_OCAML_OPT) $(UNSAFE) -inline 9
 
 .SUFFIXES: .ml .mli .mll .mly .cmo .cmi .cma .cmx .cmxa
 
@@ -92,10 +98,10 @@
 CF_YACC_MODULES = $(CF_LEXYACC_MODULES:%=cf_yacc_%)
 CF_LEX_MODULES = $(CF_LEXYACC_MODULES:%=cf_lex_%)
 
-clean::
-	rm -rf $(CF_LEX_ML_FILES)
-	rm -rf $(CF_YACC_ML_FILES)
-	rm -rf $(CF_YACC_MLI_FILES)
+#clean::
+#	rm -rf $(CF_LEX_ML_FILES)
+#	rm -rf $(CF_YACC_ML_FILES)
+#	rm -rf $(CF_YACC_MLI_FILES)
 
 cf_lex_%.cmo : cf_yacc_%.cmi cf_lex_%.cmi
 cf_lex_%.cmx : cf_yacc_%.cmi cf_lex_%.cmi
@@ -114,10 +120,10 @@
 
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
-	stdtime journal seq deque flow heap pqueue map set sbheap rbtree gadget \
-    machine unicode parser message dfa regex lex lexer scan_parser \
-    socket netif nameinfo sock_common sock_dgram sock_stream ip_common \
-    $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+	stdtime journal seq deque flow heap pqueue map set sbheap rbtree \
+	gadget state_gadget machine unicode parser message dfa regex lex \
+	scan_parser socket netif nameinfo sock_common sock_dgram sock_stream \
+	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
     tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
 
 CF_PRIMITIVES = \
@@ -169,11 +175,12 @@
 
 opt:: $(TEST_OPT_PROGRAMS)
 
-t.% : t/t_%.ml cf.cma
-	$(OCAMLC) -o $@ $(DEBUG_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma) $<
-
-t-opt.% : t/t_%.ml cf.cmxa
-	$(OCAMLOPT) -o $@ $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<
+t.% : t/t_%.ml $(TEST_LIBS:%=%.cma)
+	$(OCAMLC) -o $@ $(CMO_OPT) $(DEBUG_OPT) $(TEST_LINKOPT) \
+        $(TEST_LIBS:%=%.cma) $<
+
+t-opt.% : t/t_%.ml $(TEST_LIBS:%=%.cmxa)
+	$(OCAMLOPT) -o $@ $(CMX_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<
 
 test:: $(TEST_PROGRAMS)
 	@for i in $(TEST_PROGRAMS); do \
@@ -198,8 +205,8 @@
 
 default:: ocamltop
 
-ocamltop: cf.cma
-	$(OCAMLMKTOP) $(TEST_LINKOPT) -o $@ cf.cma
+ocamltop: $(TEST_LIBS:%=%.cma)
+	$(OCAMLMKTOP) -o $@ $(CMO_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma)
 
 clean::
 	rm -f ocamltop

## pagodacf 0.10

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 ALL_OCAML_OPT = $(WARN_ERROR) $(PRINCIPLE)
 
 CC_OPT  = -ccopt -fPIC -ccopt -O2 -ccopt -Wall -ccopt -Wno-unused-variable
+# add "-ccopt -I/usr/local/include -ccopt -L/usr/local/lib" for FreeBSD 6.2
 CMI_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
 CMO_OPT = $(ALL_OCAML_OPT) $(DEBUG_OPT)
 CMX_OPT = $(ALL_OCAML_OPT) $(UNSAFE) -inline 9
@@ -115,20 +116,25 @@
 CF_YACC_ML_FILES = $(CF_YACC_MODULES:%=%.ml)
 CF_YACC_MLI_FILES = $(CF_YACC_MODULES:%=%.mli)
 
-CF_ADDR_MODULES = ip4 ip6
-CF_PROTO_MODULES = ip4 ip6
-
 CF_MODULES = \
     ordered either exnopt smonad cmonad scmonad tai64 tai64n gregorian \
 	stdtime journal seq deque flow heap pqueue map set sbheap rbtree \
 	gadget state_gadget machine unicode parser message dfa regex lex \
-	scan_parser socket netif nameinfo sock_common sock_dgram sock_stream \
-	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
-    tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
-
-CF_PRIMITIVES = \
-    common tai64 tai64n socket netif nameinfo sock_dgram sock_stream \
-	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto)
+	scan_parser
+
+CF_PRIMITIVES = tai64 tai64n
+
+#CF_ADDR_MODULES = ip4 ip6
+#CF_PROTO_MODULES = ip4 ip6
+	
+#CF_MODULES += \
+#	socket netif nameinfo sock_common sock_dgram sock_stream \
+#	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto) \
+#   tcp4_socket tcp6_socket udp4_socket udp6_socket poll uri
+
+#CF_PRIMITIVES += \
+#    common socket netif nameinfo sock_dgram sock_stream \
+#	ip_common $(CF_ADDR_MODULES:%=%_addr) $(CF_PROTO_MODULES:%=%_proto)
 
 CF_ML_FILES = $(CF_MODULES:%=cf_%.ml)
 CF_MLI_FILES = $(CF_MODULES:%=cf_%.mli)
@@ -176,8 +182,7 @@
 opt:: $(TEST_OPT_PROGRAMS)
 
 t.% : t/t_%.ml $(TEST_LIBS:%=%.cma)
-	$(OCAMLC) -o $@ $(CMO_OPT) $(DEBUG_OPT) $(TEST_LINKOPT) \
-        $(TEST_LIBS:%=%.cma) $<
+	$(OCAMLC) -o $@ $(CMO_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cma) $<
 
 t-opt.% : t/t_%.ml $(TEST_LIBS:%=%.cmxa)
 	$(OCAMLOPT) -o $@ $(CMX_OPT) $(TEST_LINKOPT) $(TEST_LIBS:%=%.cmxa) $<

=== debian/changelog ===
pagodacf (0.10-5) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Sep 2019 20:35:47 +0200

pagodacf (0.10-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Switch source package format to 3.0 (quilt)
  * Update Vcs-*
  * Bump debhelper compat to 10

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Dimitri John Ledkov ]
  * Fix ftbfs with ocaml 4.04.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 10:54:15 +0200

pagodacf (0.10-3) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 15 Dec 2009 21:18:24 +0000

pagodacf (0.10-2) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Switch packaging to git.
  * Use dh-ocaml.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Mar 2009 21:00:31 +0100

pagodacf (0.10-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.8.0, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Mon, 14 Jul 2008 14:58:23 +0200

pagodacf (0.9-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Fix FTBFS: The implementation cf_ip4_addr.ml does not match the
    interface cf_ip4_addr.cmi (Closes: #482448).
  * Add Homepage field to debian/control.
  * Update Standards-Version to 3.7.3 (no changes required).

  [ Sylvain Le Gall ]
  * Rebuild for ocaml 3.10.2

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 23 May 2008 14:10:57 +0200

pagodacf (0.9-1) unstable; urgency=low

  * New upstream release.
  * Removed scan_parser.dpatch, integrated upstream.
  * Fixes a bug in Cf_rbtree.Map.nearest_incr, closes: #432590.

 -- Samuel Mimram <smimram@debian.org>  Wed, 19 Sep 2007 09:58:09 +0000

pagodacf (0.8-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * Added scan_parser.dpatch to fix the FTBFS with OCaml 3.10,
    closes: #441645.
  * Make the package binNMUable.
  * Don't ignore errors on clean.

 -- Samuel Mimram <smimram@debian.org>  Tue, 18 Sep 2007 22:18:45 +0000

pagodacf (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 20 Jul 2006 19:36:06 +0000

pagodacf (0.7-4) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:47:34 +0000

pagodacf (0.7-3) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Handling OCaml's ABI changes in package.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:32:06 +0100

pagodacf (0.7-2) unstable; urgency=low

  * Updated to OCaml 3.09.0.
  * Compiling without -principal option in order to avoid a bug in the
    compiler.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Wed,  9 Nov 2005 19:58:58 +0100

pagodacf (0.7-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version to 3.6.2.

 -- Samuel Mimram <smimram@debian.org>  Tue, 26 Jul 2005 11:12:43 +0200

pagodacf (0.6-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Thu,  2 Jun 2005 14:38:54 +0200

pagodacf (0.5-2) unstable; urgency=medium

  * Updated to OCaml 3.08.3.
  * Set Debian OCaml Maintainers as Maintainer, put myself in Uploaders.

 -- Samuel Mimram <smimram@debian.org>  Thu, 24 Mar 2005 19:31:38 +0100

pagodacf (0.5-1) unstable; urgency=low

  * New upstream release.
  * Installing *.h files.
  * Updated upstream website (in copyright and watch).
  * Changed my email since I'm a DD now.

 -- Samuel Mimram <smimram@debian.org>  Sat,  1 Jan 2005 16:50:13 +0100

pagodacf (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Sun, 10 Oct 2004 23:14:20 +0200

pagodacf (0.3-4) unstable; urgency=low

  * The install does not depend anymore on files needing ocamlopt to be built.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Thu, 26 Aug 2004 00:50:55 +0200

pagodacf (0.3-3) unstable; urgency=low

  * Set LDCONF to ignore which should solve the last build problems.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Mon, 23 Aug 2004 10:33:32 +0200

pagodacf (0.3-2) unstable; urgency=low

  * Use ocamldoc instead of ocamldoc.opt which was not installed.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Thu, 19 Aug 2004 11:29:35 +0200

pagodacf (0.3-1) unstable; urgency=low

  * Initial Release, closes: #266168.

 -- Samuel Mimram <samuel.mimram@ens-lyon.org>  Tue, 17 Aug 2004 18:14:36 +0200

=== debian/control ===
Source: pagodacf
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 10), dh-ocaml (>= 0.9.1), ocaml-nox (>= 3.11), ocaml-findlib (>= 1.2.4)
Standards-Version: 3.8.3
Homepage: http://www.sourceforge.net/projects/ocnae/
Vcs-Git: https://salsa.debian.org/ocaml-team/pagodacf.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/pagodacf

Package: libcf-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libcf-ocaml (= ${binary:Version})
Provides: ${ocaml:Provides}
Description: OCaml library with miscellaneous utility functions
 The pagoda core foundation OCaml library provides various modules. Some of
 the highlighted features include:
   - Functional streams and stream processors (extended).
   - Functional bootstrapped skew-binomial heap.
   - Functional red-black binary tree (associative array).
   - Functional sets and maps based on red-black binary tree.
   - Functional real-time catenable deque.
   - Functional LL(x) parsing using state-exception monad.
   - Functional lazy deterministic finite automaton (DFA).
   - Functional lexical analyzer (using lazy DFA and monadic parser).
   - Functional substring list manipulation (message buffer chains).
   - Gregorian calendar date manipulation.
   - Standard time manipulation.
   - System time in Temps Atomique Internationale (TAI).
   - Unicode transcoding.
   - Extended socket interface (supports IPv6 and UDP w/multicast).
   - Universal resource identifier (URI) manipulation.
   - I/O event multiplexing (with Unix.select).
 .
 This package contains all the development stuff you need to use ocaml-mad
 in your programs.

Package: libcf-ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library with miscellaneous utility functions
 The pagoda core foundation OCaml library provides various modules. Some of
 the highlighted features include:
   - Functional streams and stream processors (extended).
   - Functional bootstrapped skew-binomial heap.
   - Functional red-black binary tree (associative array).
   - Functional sets and maps based on red-black binary tree.
   - Functional real-time catenable deque.
   - Functional LL(x) parsing using state-exception monad.
   - Functional lazy deterministic finite automaton (DFA).
   - Functional lexical analyzer (using lazy DFA and monadic parser).
   - Functional substring list manipulation (message buffer chains).
   - Gregorian calendar date manipulation.
   - Standard time manipulation.
   - System time in Temps Atomique Internationale (TAI).
   - Unicode transcoding.
   - Extended socket interface (supports IPv6 and UDP w/multicast).
   - Universal resource identifier (URI) manipulation.
   - I/O event multiplexing (with Unix.select).
 .
 This package contains only the shared runtime stub libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/ocaml/ocamlinit.mk

TMPDIR=debian/tmp
DESTDIR=$(TMPDIR)/$(OCAML_STDLIB_DIR)

build: ocamlinit build-stamp
build-stamp:
	dh_testdir
	if ! test -f .depend.org; then cp .depend .depend.org; fi
	$(MAKE) depend
	$(MAKE) DEBUG_OPT="-g" default
ifneq ($(OCAML_OPT_ARCH),)
	$(MAKE) opt
endif
	$(MAKE) doc
	mv doc html

	touch build-stamp

clean: ocamlinit-clean
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	-$(RM) -f .DS_Store
	if test -f .depend.org; then mv .depend.org .depend; fi
	-$(RM) -rf $(TMPDIR) doc html
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_install --list-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_ocaml
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure ocamlinit

=== debian/watch ===
version=3

http://sf.net/ocnae/cf-([0-9\.]+)\.tar\.bz2 debian uupdate
